/*Grid*/
.ui-jqgrid {position: relative;}
.ui-jqgrid .ui-jqgrid-view {position: relative;left:0px; top: 0px; padding: .0em; font-size:11px; /*-moz-box-sizing: content-box;*/}
/* caption*/
.ui-jqgrid .ui-jqgrid-titlebar {padding: .3em .2em .2em .3em; position: relative; border-left: 0px none;border-right: 0px none; border-top: 0px none;}
.ui-jqgrid .ui-jqgrid-title { float: left; margin: .1em 0 .2em; }
.ui-jqgrid .ui-jqgrid-titlebar-close { position: absolute;top: 50%; width: 19px; margin: -10px 0 0 0; padding: 1px; height:18px;}.ui-jqgrid .ui-jqgrid-titlebar-close span { display: block; margin: 1px; }
.ui-jqgrid .ui-jqgrid-titlebar-close:hover { padding: 0; }
/* header*/
.ui-jqgrid .ui-jqgrid-hdiv {
  position: relative; 
  margin: 0em;
  padding: 0em; 
  overflow-x: hidden; 
  border-left: 0px none !important; 
  border-right: 0px none !important; 
  border-top : 0px none !important; 
}

#plantsJqGrid .ui-jqgrid-hdiv, 
#logsJqGrid .ui-jqgrid-hdiv {
  margin-top: 10px;
}

.ui-jqgrid .ui-jqgrid-hbox {float: left; padding-right: 17px;}
.buildingsJqGrid .ui-jqgrid .ui-jqgrid-hbox {float: left; padding-right: 18px;}
.ui-jqgrid .ui-jqgrid-htable {table-layout:fixed;margin:0em;}
.ui-jqgrid .ui-jqgrid-htable th {/*height:22px;*/ padding: 0 2px 0 2px;}
.ui-jqgrid .ui-jqgrid-htable th div {overflow: hidden; position:relative; height:17px;}
.ui-th-column, .ui-jqgrid .ui-jqgrid-htable th.ui-th-column {overflow: hidden;white-space: nowrap;text-align:center;
              /*border-top : 0px none;border-bottom : 0px none;*/}
.ui-th-ltr, .ui-jqgrid .ui-jqgrid-htable th.ui-th-ltr {border-left : 0px none;}
.ui-th-rtl, .ui-jqgrid .ui-jqgrid-htable th.ui-th-rtl {border-right : 0px none;}
.ui-first-th-ltr {border-right: 1px solid; }
.ui-first-th-rtl {border-left: 1px solid; }
.ui-jqgrid .ui-th-div-ie {white-space: nowrap; zoom :1; height:17px;}
.ui-jqgrid .ui-jqgrid-resize {height:20px !important;position: relative; cursor :e-resize;display: inline;overflow: hidden;}
.ui-jqgrid .ui-grid-ico-sort {overflow:hidden;position:absolute;display:inline; cursor: pointer !important;}
.ui-jqgrid .ui-icon-asc {margin-top:-3px; height:12px;}
.ui-jqgrid .ui-icon-desc {margin-top:3px;height:12px;}
.ui-jqgrid .ui-i-asc {margin-top:0px;height:16px;}
.ui-jqgrid .ui-i-desc {margin-top:0px;margin-left:13px;height:16px;}
.ui-jqgrid .ui-jqgrid-sortable {cursor:pointer;}
.ui-jqgrid tr.ui-search-toolbar th { border-top-width: 1px !important; border-top-color: inherit !important; border-top-style: ridge !important }
/* issue 44 -antonio */
tr.ui-search-toolbar input {
	margin: 1px 0px 0px 0px;
	 background-image: url("../images/ui/searchBg_small.png");
    background-repeat: no-repeat;
    background-size: cover !important;
    padding-left:12px !important;
    width:100%;
}
/* issue 44 - */

tr.ui-search-toolbar select {margin: 1px 0px 0px 0px}
/* body */ 
.ui-jqgrid .ui-jqgrid-bdiv {
  position: relative; 
  margin: 0em; 
  padding:0; 
  /*overflow: auto;*/ 
  overflow-x:hidden; 
  overflow-y:auto; 
  text-align:left;
}
.ui-jqgrid .ui-jqgrid-btable {table-layout:fixed; margin:0em; outline-style: none; }
.ui-jqgrid tr.jqgrow { outline-style: none; }
.ui-jqgrid tr.jqgroup { outline-style: none; }
.ui-jqgrid tr.jqgrow td {font-weight: normal; overflow: hidden; white-space: pre; height: 22px;padding: 0 2px 0 2px;border-bottom-width: 1px; border-bottom-color: inherit; border-bottom-style: solid;}
.ui-jqgrid tr.jqgfirstrow td {padding: 0 2px 0 2px;border-right-width: 1px; border-right-style: solid;}
.ui-jqgrid tr.jqgroup td {font-weight: normal; overflow: hidden; white-space: pre; height: 22px;padding: 0 2px 0 2px;border-bottom-width: 1px; border-bottom-color: inherit; border-bottom-style: solid;}
.ui-jqgrid tr.jqfoot td {font-weight: bold; overflow: hidden; white-space: pre; height: 22px;padding: 0 2px 0 2px;border-bottom-width: 1px; border-bottom-color: inherit; border-bottom-style: solid;}
.ui-jqgrid tr.ui-row-ltr td {text-align:left;border-right-width: 1px; border-right-color: inherit; border-right-style: solid;}
.ui-jqgrid tr.ui-row-rtl td {text-align:right;border-left-width: 1px; border-left-color: inherit; border-left-style: solid;}
.ui-jqgrid td.jqgrid-rownum { padding: 0 2px 0 2px; margin: 0px; border: 0px none;}
.ui-jqgrid .ui-jqgrid-resize-mark { width:2px; left:0; background-color:#777; cursor: e-resize; cursor: col-resize; position:absolute; top:0; height:100px; overflow:hidden; display:none; border:0 none; z-index: 99999;}
/* footer */
.ui-jqgrid .ui-jqgrid-sdiv {position: relative; margin: 0em;padding: 0em; overflow: hidden; border-left: 0px none !important; border-top : 0px none !important; border-right : 0px none !important;}
.ui-jqgrid .ui-jqgrid-ftable {table-layout:fixed; margin-bottom:0em;}
.ui-jqgrid tr.footrow td {font-weight: bold; overflow: hidden; white-space:nowrap; height: 21px;padding: 0 2px 0 2px;border-top-width: 1px; border-top-color: inherit; border-top-style: solid;}
.ui-jqgrid tr.footrow-ltr td {text-align:left;border-right-width: 1px; border-right-color: inherit; border-right-style: solid;}
.ui-jqgrid tr.footrow-rtl td {text-align:right;border-left-width: 1px; border-left-color: inherit; border-left-style: solid;}
/* Pager*/
.ui-jqgrid .ui-jqgrid-pager { border-left: 0px none !important;border-right: 0px none !important; border-bottom: 0px none !important; margin: 0px !important; padding: 0px !important; position: relative; height: 25px;white-space: nowrap;overflow: hidden;font-size:11px;}
.ui-jqgrid .ui-pager-control {position: relative;}
.ui-jqgrid .ui-pg-table {position: relative; padding-bottom:2px; width:auto; margin: 0em;}
.ui-jqgrid .ui-pg-table td {font-weight:normal; vertical-align:middle; padding:1px;}
.ui-jqgrid .ui-pg-button  { height:19px !important;}
.ui-jqgrid .ui-pg-button span { display: block; margin: 1px; float:left;}
/*.ui-jqgrid .ui-pg-button:hover { padding: 0px; }*/
/*.ui-jqgrid .ui-state-disabled:hover {padding:1px;}*/
.ui-jqgrid .ui-pg-input { height:13px;font-size:.8em; margin: 0em;}
.ui-jqgrid .ui-pg-selbox {font-size:.8em; line-height:18px; display:block; height:18px; margin: 0em;}
.ui-jqgrid .ui-separator {height: 18px; border-left: 1px solid #ccc ; border-right: 1px solid #ccc ; margin: 1px; float: right;}
.ui-jqgrid .ui-paging-info {font-weight: normal;height:19px; margin-top:3px;margin-right:4px;}
.ui-jqgrid .ui-jqgrid-pager .ui-pg-div {padding:1px 0;float:left;position:relative;}
.ui-jqgrid .ui-jqgrid-pager .ui-pg-button { cursor:pointer; }
.ui-jqgrid .ui-jqgrid-pager .ui-pg-div  span.ui-icon {float:left;margin:0 2px;}
.ui-jqgrid td input, .ui-jqgrid td select .ui-jqgrid td textarea { margin: 0em;}
.ui-jqgrid td textarea {width:auto;height:auto;}
.ui-jqgrid .ui-jqgrid-toppager {
  border: 0px none !important;
  margin: 0px !important; 
  padding: 0px !important; 
  position: relative; 
  height: 25px !important;
  white-space: nowrap;
  overflow: hidden;
}
.ui-jqgrid .ui-jqgrid-toppager .ui-pg-div {padding:1px 0;float:left;position:relative;}
.ui-jqgrid .ui-jqgrid-toppager .ui-pg-button { cursor:pointer; }
.ui-jqgrid .ui-jqgrid-toppager .ui-pg-div  span.ui-icon {float:left;margin:0 2px;}
/*subgrid*/
.ui-jqgrid .ui-jqgrid-btable .ui-sgcollapsed span {display: block;}
.ui-jqgrid .ui-subgrid {margin:0em;padding:0em; width:100%;}
.ui-jqgrid .ui-subgrid table {table-layout: fixed;}
.ui-jqgrid .ui-subgrid tr.ui-subtblcell td {height:18px;border-right-width: 1px; border-right-color: inherit; border-right-style: solid;border-bottom-width: 1px; border-bottom-color: inherit; border-bottom-style: solid;}
.ui-jqgrid .ui-subgrid td.subgrid-data {border-top:  0px none !important;}
.ui-jqgrid .ui-subgrid td.subgrid-cell {border-width: 0px 0px 1px 0px;}
.ui-jqgrid .ui-th-subgrid {height:20px;}
/* loading */
.ui-jqgrid .loading {position: absolute; top: 45%;left: 45%;width: auto;z-index:101;padding: 6px; margin: 5px;text-align: center;font-weight: bold;display: none;border-width: 2px !important; border-color: #2F9DB8; color: #2F9DB8; border-radius: 3px; font-size:11px;}
.ui-jqgrid .jqgrid-overlay {display:none;z-index:100;}
* html .jqgrid-overlay {width: expression(this.parentNode.offsetWidth+'px');height: expression(this.parentNode.offsetHeight+'px');}
* .jqgrid-overlay iframe {position:absolute;top:0;left:0;z-index:-1;width: expression(this.parentNode.offsetWidth+'px');height: expression(this.parentNode.offsetHeight+'px');}
/* end loading div */
/* toolbar */
.ui-jqgrid .ui-userdata {border-left: 0px none;	border-right: 0px none;	height : 21px;overflow: hidden;	}
/*Modal Window */
.ui-jqdialog { display: none; width: 300px; position: absolute; padding: .2em; font-size:11px; overflow:visible;}
.ui-jqdialog .ui-jqdialog-titlebar { padding: .3em .2em; position: relative;  }
.ui-jqdialog .ui-jqdialog-title { margin: .1em 0 .2em; } 
.ui-jqdialog .ui-jqdialog-titlebar-close { position: absolute;  top: 50%; width: 19px; margin: -10px 0 0 0; padding: 1px; height: 18px; }

.ui-jqdialog .ui-jqdialog-titlebar-close span { display: block; margin: 1px; }
.ui-jqdialog .ui-jqdialog-titlebar-close:hover, .ui-jqdialog .ui-jqdialog-titlebar-close:focus { padding: 0; }
.ui-jqdialog-content, .ui-jqdialog .ui-jqdialog-content { border: 0; padding: .3em .2em; background: none; height:auto;}
.ui-jqdialog .ui-jqconfirm {padding: .4em 1em; border-width:3px;position:absolute;bottom:10px;right:10px;overflow:visible;display:none;height:80px;width:220px;text-align:center;}
/* end Modal window*/
/* Form edit */
.ui-jqdialog-content .FormGrid {margin: 0px;}
.ui-jqdialog-content .EditTable { width: 100%; margin-bottom:0em;}
.ui-jqdialog-content .DelTable { width: 100%; margin-bottom:0em;}
.EditTable td input, .EditTable td select, .EditTable td textarea {margin: 0em;}
.EditTable td textarea { width:auto; height:auto;}
.ui-jqdialog-content td.EditButton {text-align: right;border-top: 0px none;border-left: 0px none;border-right: 0px none; padding-bottom:5px; padding-top:5px;}
.ui-jqdialog-content td.navButton {text-align: center; border-left: 0px none;border-top: 0px none;border-right: 0px none; padding-bottom:5px; padding-top:5px;}
.ui-jqdialog-content input.FormElement {padding:.3em}
.ui-jqdialog-content .data-line {padding-top:.1em;border: 0px none;}

.ui-jqdialog-content .CaptionTD {vertical-align: middle;border: 0px none; padding: 2px;white-space: nowrap;}
.ui-jqdialog-content .DataTD {padding: 2px; border: 0px none; vertical-align: top;}
.ui-jqdialog-content .form-view-data {white-space:pre}
.fm-button { display: inline-block; margin:0 4px 0 0; padding: .4em .5em; text-decoration:none !important; cursor:pointer; position: relative; text-align: center; zoom: 1; }
.fm-button-icon-left { padding-left: 1.9em; }
.fm-button-icon-right { padding-right: 1.9em; }
.fm-button-icon-left .ui-icon { right: auto; left: .2em; margin-left: 0; position: absolute; top: 50%; margin-top: -8px; }
.fm-button-icon-right .ui-icon { left: auto; right: .2em; margin-left: 0; position: absolute; top: 50%; margin-top: -8px;}
#nData, #pData { float: left; margin:3px;padding: 0; width: 15px; }
/* End Eorm edit */
/*.ui-jqgrid .edit-cell {}*/
.ui-jqgrid .selected-row, div.ui-jqgrid .selected-row td {font-style : normal;border-left: 0px none;}
/* inline edit actions button*/
.ui-inline-del.ui-state-hover span, .ui-inline-edit.ui-state-hover span,
.ui-inline-save.ui-state-hover span, .ui-inline-cancel.ui-state-hover span {
    margin: -1px;
}
/* Tree Grid */
.ui-jqgrid .tree-wrap {float: left; position: relative;height: 18px;white-space: nowrap;overflow: hidden;}
.ui-jqgrid .tree-minus {position: absolute; height: 18px; width: 18px; overflow: hidden;}
.ui-jqgrid .tree-plus {position: absolute;	height: 18px; width: 18px;	overflow: hidden;}
.ui-jqgrid .tree-leaf {position: absolute;	height: 18px; width: 18px;overflow: hidden;}
.ui-jqgrid .treeclick {cursor: pointer;}
/* moda dialog */
* iframe.jqm {position:absolute;top:0;left:0;z-index:-1;width: expression(this.parentNode.offsetWidth+'px');height: expression(this.parentNode.offsetHeight+'px');}
.ui-jqgrid-dnd tr td {border-right-width: 1px; border-right-color: inherit; border-right-style: solid; height:20px}
/* RTL Support */
.ui-jqgrid .ui-jqgrid-title-rtl {float:right;margin: .1em 0 .2em; }
.ui-jqgrid .ui-jqgrid-hbox-rtl {float: right; padding-left: 20px;}
.ui-jqgrid .ui-jqgrid-resize-ltr {float: right;margin: -2px -2px -2px 0px;}
.ui-jqgrid .ui-jqgrid-resize-rtl {float: left;margin: -2px 0px -1px -3px;}
.ui-jqgrid .ui-sort-rtl {left:0px;}
.ui-jqgrid .tree-wrap-ltr {float: left;}
.ui-jqgrid .tree-wrap-rtl {float: right;}
.ui-jqgrid .ui-ellipsis {text-overflow:ellipsis;}

/*===== START GRID CUSTOM STYLE =====*/
.ui-jqgrid  {
  word-wrap: break-word;
}

#plantsJqGrid .ui-icon-pencil, 
#plantsJqGrid .ui-icon-trash {
  background-image: url("../images/ui/plant_actions.png");
  background-repeat: no-repeat; 
  width: 20px;
  height: 20px;
}

#plantsJqGrid .ui-icon-pencil {
  background-position: 1px 1px;
}

#plantsJqGrid .ui-icon-trash {
  background-position: -31px 1px;
}

#plantsJqGrid, 
#logsJqGrid, 
.gatesJqGrid {
  width: 100%;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

#plantsGrid tbody, 
#logsGrid tbody {
  color: #303030;
  font-weight: normal;
}

#gbox_plantsGrid, 
#gbox_logsGrid {
  background: none;
  border: 0px;
}

#plantsGrid_toppager, 
#logsGrid_toppager {
  background: none;
}

#gbox_plantsGrid, #gbox_logsGrid, 
.buildingsJqGrid > div, 
.gatesJqGrid > div,
.modalJqGrid > div {
  -webkit-border-radius: 0px;
  border-radius: 0px;
  max-width: 100%;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

#gview_plantsGrid, #gview_logsGrid,
.buildingsJqGrid > div > .ui-jqgrid-view, 
.gatesJqGrid > div > .ui-jqgrid-view, 
.modalJqGrid > div > .ui-jqgrid-view {
  max-width:100%;
}

#gview_plantsGrid > *, #gview_logsGrid > *,
.buildingsJqGrid > div > .ui-jqgrid-view > *, 
.gatesJqGrid > div > .ui-jqgrid-view > *, 
.modalJqGrid > div > .ui-jqgrid-view > * {
  max-width: 100%;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

.ui-jqgrid .ui-jqgrid-hbox, 
/*.ui-jqgrid .ui-jqgrid-htable,   BOG COMMENTED*/
#plantsGrid, 
#logsGrid{
  width: 100%;
/*  max-width: 831px;*/
  background-color: #fff;
}

.gatesGrid { /*Bog added*/
    width: 100%;
}

.ui-jqgrid .ui-jqgrid-hbox {
  background-color: #EDEDED;
}

.ui-jqgrid-bdiv {
  width: 100% !important;
}

#plantsGrid tbody tr td:last-child, 
.buildingsGrid tbody tr td:last-child, 
.gatesGrid tbody tr td:last-child, 
.modalGrid tbody tr td:last-child, 
.ui-jqgrid-htable thead tr th:last-child {
  border-right: 0px;
}

.ui-jqgrid .ui-th-column {
  height: 29px;
  background-image: url("../images/ui/grid-header.png");
  background-position: top left;
  background-repeat: repeat-x;
  border-top: 1px solid #c7c8c9;
  border-bottom: 1px solid #c7c8c9;
  color: #59595a;
  font-size: 1.25em;
  text-transform: uppercase;
}

.ui-jqgrid tr.ui-search-toolbar th {
  border-top-style: none !important;
}

.ui-jqgrid tr.jqgrow {
  height: 40px;
}

.modalGrid  tr.jqgrow, 
.modalGrid  tr.jqgrow > td{
  height: 30px;
  border-bottom: 0px;
}

.ui-jqgrid tr.ui-row-ltr td {
  border-top-style: none;
  border-color: #c7c8c9;
  color: #303030;
  font-size: 1.25em;
  font-weight: normal;
  white-space: pre-line !important;
  padding-left: 1%;
}

.altClass {
  background: #fcfcfc;
}

.ui-jqgrid-bdiv .ui-state-hover,
.ui-jqgrid-bdiv .ui-widget-content .ui-state-hover,
.ui-jqgrid-bdiv .ui-widget-header .ui-state-hover,
.ui-jqgrid-bdiv .ui-state-focus, 
.ui-jqgrid-bdiv .ui-widget-content .ui-state-focus,
.ui-jqgrid-bdiv .ui-widget-header .ui-state-focus { 
  cursor: pointer;
  border: 1px solid #E1F3F7; 
  background: #E1F3F7;
  font-weight: normal; 
  color: #c77405; 
}

.ui-jqgrid-bdiv .ui-state-highlight,
.ui-jqgrid-bdiv .ui-widget-content .ui-state-highlight,
.ui-jqgrid-bdiv .ui-widget-header .ui-state-highlight {
  border: 1px solid #C9E9F1; 
  background: #C9E9F1;
  color: #363636; 
}

.ui-state-hover .ui-icon, 
.ui-state-focus .ui-icon {
  background-image: url("images/ui-icons_228ef1_256x240.png");
}

.ui-state-default .ui-icon { 
  background-image: url(images/ui-icons_222222_256x240.png); 
}

.ui-jqgrid-sortable .s-ico {
  margin-left: 5px;
}

.buildingsJqGrid > div, 
.gatesJqGrid > div, 
.modalJqGrid > div {
  border: 0px;
}

.buildingsGrid tr.ui-row-ltr td {
  font-weight: normal;
  padding-left: 10px;
}

.modalGrid tr.ui-row-ltr td:nth-child(n+2), 
.gatesGrid tr.ui-row-ltr td {
  font-weight: normal;
  padding-left: 5px;
}

.buildingsJqGrid table thead tr .ui-th-column, 
.buildingsJqGrid .ui-jqgrid-htable th.ui-th-column {
  padding-left: 10px;
  text-align: left;
}

.modalJqGrid table thead tr .ui-th-column:nth-child(n+2), 
.modalJqGrid .ui-jqgrid-htable th.ui-th-column:nth-child(n+2),
.gatesJqGrid table thead tr .ui-th-column, 
.gatesJqGrid .ui-jqgrid-htable th.ui-th-column {
/*  padding-left: 5px;*/ /*b. replaced with text-indent to fix safari bug*/
  text-indent: 3px;
  text-align: left;
}

.ui-pg-table > tbody > tr > td.ui-pg-button {
  padding: 1px 20px 1px 0px;
  background: none;
}

.ui-pg-table > tbody > tr > td.ui-state-hover, 
.ui-pg-table > tbody > tr > td.ui-pg-button:hover {
/*  border: 1px solid #95BCF2;*/
  background: none;
  color: #1C94C4;
}

#plantsGrid_name, 
.ui-jqgrid .ui-jqgrid-htable thead th:nth-of-type(2), 
.modalJqGrid .ui-jqgrid .ui-jqgrid-htable thead th:first-of-type {
  border-left: 1px solid #c7c8c9;
}

#plantsGrid_actions, 
.ui-jqgrid .ui-jqgrid-htable thead th:last-of-type {
  border-right: 1px solid #c7c8c9;
}

td[aria-describedby="plantsGrid_name"], 
td[aria-describedby="logsGrid_date"],
.gatesGrid tbody tr td:nth-of-type(2), 
.modalJqGrid tbody tr td:first-of-type {
  border-left: 1px solid #c7c8c9 !important;
}

td[aria-describedby="plantsGrid_actions"], 
.gatesGrid tbody tr td:last-of-type, 
.modalJqGrid tbody tr td:last-of-type, 
.buildingsJqGrid tbody tr td:last-of-type {
  border-right: 1px solid #c7c8c9 !important;
}

.modalGrid > tbody > tr.jqgrow > td {
  border-bottom: 1px solid #C7C8C9;
}

.modalJqGrid .ui-jqgrid .ui-th-column, 
.ui-jqgrid .ui-th-column {
  font-size: 12px;
}

/*.gatesJqGrid .ui-jqgrid .ui-jqgrid-hbox {
  padding-right: 18px;
}*/

.ui-search-toolbar[role="rowheader"] {
  height: 29px;
}

  .ui-search-toolbar[role="rowheader"] .ui-th-column:nth-of-type(2) {
    border-left: 1px solid #c7c8c9;
  }

   .ui-search-toolbar[role="rowheader"] .ui-th-column:last-of-type {
    border-right: 1px solid #c7c8c9;
  }
  
  .ui-search-toolbar[role="rowheader"] .ui-th-column {
    height: 19px;
  }

 
  .ui-search-toolbar[role="rowheader"] .ui-th-column > div {
    height: 29px !important;
  }
  
  .ui-search-toolbar[role="rowheader"] .ui-th-column input {
    width: 100% !important;
    margin: auto;
    height: 21px;
    margin-top: 3px !important;
  }

td[aria-describedBy="plantsGrid_actions"] span.ui-icon {
  float: left;
  margin-right: 10px;
}
/*===== END GRID CUSTOM STYLE =====*/

/*tst*/
th input#cb_modalGrid_0.cbox{
    margin: 2px 2px 3px 4px;
}
/*endtst*/